## aufs 0+20070806

=== fs/aufs/Makefile ===
--- 
+++ 
@@ -1,5 +1,13 @@
 # AUFS Makefile for the Linux 2.6.16 and later
-# $Id: Makefile,v 1.29 2007/04/23 00:59:50 sfjro Exp $
+# $Id: Makefile,v 1.32 2007/07/23 03:04:10 sfjro Exp $
+
+ifdef CONFIG_AUFS_WORKAROUND_FUSE
+# it doesn't defined in a header file
+fuse = $(shell grep '\#.*define.*FUSE_SUPER_MAGIC' ${srctree}/fs/fuse/inode.c | \
+	head -n 1 | \
+	awk '{print $$3}')
+EXTRA_CFLAGS += -DFUSE_SUPER_MAGIC=${fuse}
+endif
 
 obj-$(CONFIG_AUFS) += aufs.o
 aufs-y := module.o super.o sbinfo.o xino.o \
