=== sample/uloop/Makefile ===

# aufs sample -- ULOOP driver and ulohttp

# Copyright (C) 2007 Junjiro Okajima
#
# This program, aufs is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

# $Id: Makefile,v 1.1 2007/08/06 00:38:07 sfjro Exp $

KDIR = /lib/modules/$(shell uname -r)/build

all: drivers/block/uloop.ko ulohttp

drivers/block/uloop.ko clean: MAKE += -C ${KDIR} M=${CURDIR}/drivers/block
drivers/block/uloop.ko clean: export CONFIG_BLK_DEV_ULOOP = m
drivers/block/uloop.ko clean: export EXTRA_CFLAGS += -I${CURDIR}/include -DCONFIG_BLK_DEV_ULOOP=m
drivers/block/uloop.ko:
	${MAKE} modules

clean:
	${MAKE} $@
	${RM} ulohttp *.o *~

ulohttp: CFLAGS=-g -Wall -D_FILE_OFFSET_BITS=64 -DNDEBUG -I${CURDIR}/include -UNDEBUG
ulohttp: LDLIBS=-lcurl

-include priv.mk
