=== sample/uloop/drivers/block/Makefile ===
obj-$(CONFIG_BLK_DEV_ULOOP) += uloop.o
