=== sample/diskless/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 
-# $Id: Makefile,v 1.4 2007/04/23 00:59:51 sfjro Exp $
+# $Id: Makefile,v 1.5 2007/07/09 05:48:23 sfjro Exp $
 
 include def.mk
 -include priv_def.mk
@@ -74,6 +74,9 @@
 edgy:
 	${MAKE} -f nfscd.mk NfsCdDir=${NfsEdgy} NfsCdUrl=${EdgyUrl} \
 		NfsCdKoFull="${EdgyKoFull}" NfsCdKo="${EdgyKo}"
+faunos:
+	${MAKE} -f nfscd.mk NfsCdDir=${NfsFaun} NfsCdUrl=${FaunUrl} \
+		NfsCdKoFull="${FaunKoFull}" NfsCdKo="${FaunKo}"
 
 ########################################
