=== sample/uloop/drivers/block/Makefile ===

# the environment variables are not inherited since 2.6.23
ifdef ULOOP_EXTRA_CFLAGS
EXTRA_CFLAGS += ${ULOOP_EXTRA_CFLAGS}
endif

obj-$(CONFIG_BLK_DEV_ULOOP) += uloop.o
