=== sample/watchguard/probe/cpup/Makefile ===

AufsTop = ${M}/../../../..
EXTRA_CFLAGS += -I${AufsTop} -I${AufsTop}/include
EXTRA_CFLAGS += -DCONFIG_AUFS_BRANCH_MAX_127
obj-m += pcpup.o
pcpup-y := cpup.o probe.o
