=== sample/watchguard/probe/open/Makefile ===

obj-m += popen.o
popen-y := open.o probe.o
