## aufs 0+20080719

=== util/Makefile ===

# $Id: Makefile,v 1.10 2008/05/26 04:02:40 sfjro Exp $

all: aufs.5 aulchown
	test -x ./mount.aufs || chmod a+x ./mount.aufs

aufs.5: aufs.in.5 ./c2tmac
	${RM} $@
	./c2tmac > $@
	awk '{ \
		gsub(/\140[^\047]*\047/, "\\[oq]&\\[cq]"); \
		gsub(/\\\[oq\]\140/, "\\[oq]"); \
		gsub(/\047\\\[cq\]/, "\\[cq]"); \
		gsub(/\047/, "\\[aq]"); \
		print; \
	}' aufs.in.5 >> $@
	chmod a-w $@

CFLAGS += -O2 -Wall ${EXTRA_CFLAGS} ${ccflags-y}

.INTERMEDIATE: c2tmac.o c2tmac
c2tmac.o: c2tmac.c ../include/linux/aufs_type.h

clean:
	${RM} c2tmac aulchown aufs.5 *~ .*~
