=== sample/diskless/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 # aufs sample -- diskless system
 
-# Copyright (C) 2006, 2007 Junjiro Okajima
+# Copyright (C) 2005-2008 Junjiro Okajima
 #
 # This program, aufs is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -17,7 +17,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 
-# $Id: Makefile,v 1.5 2007/07/09 05:48:23 sfjro Exp $
+# $Id: Makefile,v 1.6 2008/07/07 01:12:39 sfjro Exp $
 
 include def.mk
 -include priv_def.mk
