=== sample/uloop/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 # aufs sample -- ULOOP driver
 
-# Copyright (C) 2007 Junjiro Okajima
+# Copyright (C) 2005-2008 Junjiro Okajima
 #
 # This program, aufs is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -17,7 +17,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 
-# $Id: Makefile,v 1.3 2007/12/03 01:39:00 sfjro Exp $
+# $Id: Makefile,v 1.4 2008/07/07 01:12:39 sfjro Exp $
 
 KDIR = /lib/modules/$(shell uname -r)/build
