=== fs/aufs25/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # AUFS Makefile for the Linux 2.6.25 and later
-# $Id: Makefile,v 1.6 2008/07/14 00:13:35 sfjro Exp $
+# $Id: Makefile,v 1.10 2008/10/20 01:47:24 sfjro Exp $
 
 # the environment variables are not inherited since 2.6.23
 ifdef AUFS_EXTRA_CFLAGS
@@ -65,6 +65,7 @@
 aufs-$(CONFIG_AUFS_DLGT) += dlgt.o
 aufs-$(CONFIG_AUFS_HINOTIFY) += hinotify.o
 aufs-$(CONFIG_AUFS_HIN_OR_DLGT) += hin_or_dlgt.o
+aufs-$(CONFIG_AUFS_GETATTR) += getattr.o
 aufs-$(CONFIG_AUFS_EXPORT) += export.o
 aufs-$(CONFIG_AUFS_ROBR) += robr.o
 # reserved for future use
