## aufs 4.9%2B20161219

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

VERSION ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+\+[0-9.]+)[-+].*$$/\1/p')
KERNELVERSION ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)\+[0-9.]+[-+].*$$/\1/p')

%:
	dh $@ --with dkms

override_dh_auto_clean:
	dh_auto_clean -- DISABLEHEADERDEPS="true"

override_dh_auto_test:
	dh_auto_test -- DISABLEHEADERDEPS="true"

override_dh_auto_build:
	dh_auto_build --buildsystem=makefile -- \
	  usr/include/linux/aufs_type.h KDIR="/usr/src/linux-kbuild-$(KERNELVERSION)" \
	  DISABLEHEADERDEPS="true"

override_dh_auto_install:
	dh_install -paufs-dkms -X.o -X.ko fs/ usr/src/aufs-$(VERSION)
	dh_install -paufs-dkms -X.o -X.ko include/ usr/src/aufs-$(VERSION)
	dh_install -paufs-dkms Makefile usr/src/aufs-$(VERSION)
	dh_install -paufs-dkms config.mk usr/src/aufs-$(VERSION)
	dh_install -paufs-dev usr/include/linux/aufs_type.h usr/include/linux

override_dh_dkms:
	dh_dkms -V
