## aufs 4.9+20161219

=== debian/changelog ===
aufs (4.9+20161219-1) unstable; urgency=medium

  * New upstream release.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Mon, 09 Jan 2017 00:13:32 +0100

aufs (4.8+20161219-2) unstable; urgency=medium

  * debian/patches: Remove erroneous debug line from patches. (Closes: #849568)

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Fri, 30 Dec 2016 18:02:22 +0100

aufs (4.8+20161219-1) unstable; urgency=medium

  * New upstream release.
    - Dependency bugfix of header include "linux/fs/mount.h". (Closes: #843846)
  * Remove "debian/patches/0001-remove-not-needed-include-mount-h.patch",
    bug fixed by upstream.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Sat, 17 Dec 2016 15:39:11 +0100

aufs (4.8+20161010-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Update Build-Depends to use linux-kbuild-4.8.
  * debian/aufs-dkms.dkms: Update BUILD_EXCLUSIVE_KERNEL to match "4.8.*".

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Thu, 20 Oct 2016 18:57:26 +0200

aufs (4.7+20160912-2) unstable; urgency=medium

  * debian/aufs-dkms.dkms:
     - KDIR to correct value for DKMS builds. (Closes: #838667)
     - Add BUILD_EXCLUSIVE_KERNEL directive.
  * debian/control:
     - Add Breaks/Replaces: linux-libc-dev (<< 3.18-1~exp1)
       relation for aufs-dev binary package (Closes: #838626).

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Fri, 23 Sep 2016 23:33:21 +0200

aufs (4.7+20160912-1) unstable; urgency=medium

  * New upstream release.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Mon, 19 Sep 2016 17:44:03 +0200

aufs (4.7+20160822-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Fri, 26 Aug 2016 18:18:47 +0200

aufs (4.6+20160523-1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #832451)

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Sun, 24 Jul 2016 18:01:00 +0200
