## aufs 4.17+20180827

=== debian/changelog ===
aufs (4.17+20180827-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update to Debian policy 4.2.1, no changes needed.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Mon, 27 Aug 2018 10:40:35 +0200

aufs (4.17+20180709-1) unstable; urgency=medium

  * New upstream release.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Fri, 13 Jul 2018 19:40:01 +0200

aufs (4.16+20180409-2) unstable; urgency=medium

  * debian/control:
    - Change Maintainer mail address to j.naumann@fu-berlin.de.
      (Closes: #899450)
    - Switch to Debian Salsa as Git hoster.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Sat, 26 May 2018 14:19:25 +0200

aufs (4.16+20180409-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update to Debian policy 4.1.4, no changes needed.
  * debian/compat:
    - Update to debhelper compat level 11.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Sun, 13 May 2018 13:19:44 +0200

aufs (4.15+20180219-1) unstable; urgency=medium

  * New upstream release.
    - Remove a warning about the internal file-close. (Closes: #884008)
  * debian/patches:
    - Disable CONFIG_AUFS_DEBUG in config.mk. (Closes: #886329)

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Sat, 24 Feb 2018 14:08:39 +0100

aufs (4.15+20180212-1) unstable; urgency=medium

  * New upstream release. (Closes: #890733)

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Sun, 18 Feb 2018 14:59:33 +0100

aufs (4.14+20171218-1) unstable; urgency=medium

  * New upstream release. (Closes: #880387)
  * debian/control:
    - Update to Debian policy 4.1.2, no changes required.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Sat, 02 Dec 2017 12:39:30 +0100

aufs (4.13+20171002-1) unstable; urgency=medium

  * New upstream release. (Closes: #875620)
  * debian/control:
    - Update to Debian policy 4.1.1, no changes required.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Fri, 06 Oct 2017 11:09:33 +0200

aufs (4.12+20170904-1) unstable; urgency=medium

  * New upstream release.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Wed, 06 Sep 2017 10:46:25 +0200

aufs (4.12+20170703-1) unstable; urgency=medium

  * New upstream release. (Closes: #865614)
  * debian/control:
    - Update to Debian policy 4.0.0, no changes required.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Mon, 24 Jul 2017 10:25:12 +0200

aufs (4.9+20161219-2) unstable; urgency=medium

  * Fix symlink of README file in /usr/share/doc/aufs-dkms. (Closes: #857783)

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Fri, 17 Mar 2017 21:16:52 +0100
