=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: aufs
 Section: kernel
 Priority: optional
-Maintainer: Filesystems Group <filesystems-devel@lists.alioth.debian.org>
-Uploaders: Jan Luca Naumann <j.naumann@fu-berlin.de>
-Build-Depends: debhelper (>=9), dkms, linux-kbuild-4.9
-Standards-Version: 3.9.8
+Maintainer: Jan Luca Naumann <j.naumann@fu-berlin.de>
+Build-Depends: debhelper (>=11), dkms, linux-kbuild-4.17
+Standards-Version: 4.2.1
 Homepage: http://aufs.sourceforge.net/
-Vcs-Browser: https://github.com/JanLuca/aufs-debian
-Vcs-Git: https://github.com/JanLuca/aufs-debian.git
+Vcs-Browser: https://salsa.debian.org/janluca-guest/aufs-debian
+Vcs-Git: https://salsa.debian.org/janluca-guest/aufs-debian.git
 
 Package: aufs-dkms
 Architecture: linux-any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}, linux-kbuild-4.9
+Depends: ${misc:Depends}, ${shlibs:Depends}, linux-kbuild-4.17
 Recommends: aufs-tools
 Suggests: aufs-dev
 Description: DKMS files to build and install aufs
