## aufs 4.18+20180903

=== debian/changelog ===
aufs (4.18+20180903-1) unstable; urgency=medium

  * New upstream release.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Fri, 07 Sep 2018 10:45:49 +0200
