=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: kernel
 Priority: optional
 Maintainer: Jan Luca Naumann <j.naumann@fu-berlin.de>
-Build-Depends: debhelper (>=11), dkms, linux-kbuild-4.17
+Build-Depends: debhelper (>=11), dkms, linux-kbuild-4.18
 Standards-Version: 4.2.1
 Homepage: http://aufs.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/janluca-guest/aufs-debian
@@ -11,7 +11,7 @@
 Package: aufs-dkms
 Architecture: linux-any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}, linux-kbuild-4.17
+Depends: ${misc:Depends}, ${shlibs:Depends}, linux-kbuild-4.18
 Recommends: aufs-tools
 Suggests: aufs-dev
 Description: DKMS files to build and install aufs
