## aufs 4.19+20181217

=== debian/changelog ===
aufs (4.19+20181217-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release:
    - Update to Linux 4.19 (Closes: #905651, #911578, #917857)
  * Update build-dependency on linux-kbuild
  * aufs-dkms: Delete dependency on linux-kbuild, since the linux-headers
    package will depend on if it's separate
  * aufs-dkms: Update DKMS kernel version match to 4.19
  * Delete undefined ${shlibs:Depends} from dependencies
  * Change binary packages to be arch:all, since their contents are not
    architecture-dependent

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 07 Jan 2019 18:47:57 +0000
