=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: kernel
 Priority: optional
 Maintainer: Jan Luca Naumann <j.naumann@fu-berlin.de>
-Build-Depends: debhelper (>=11), dkms, linux-kbuild-4.18
+Build-Depends: debhelper (>=11), dkms, linux-kbuild-4.19
 Standards-Version: 4.2.1
 Homepage: http://aufs.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/janluca-guest/aufs-debian
 Vcs-Git: https://salsa.debian.org/janluca-guest/aufs-debian.git
 
 Package: aufs-dkms
-Architecture: linux-any
+Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}, linux-kbuild-4.18
+Depends: ${misc:Depends}
 Recommends: aufs-tools
 Suggests: aufs-dev
 Description: DKMS files to build and install aufs
@@ -26,9 +26,9 @@
  kernel manually (usually included in the "linux-headers-<your architecture>").
 
 Package: aufs-dev
-Architecture: linux-any
+Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}
 Recommends: aufs-dkms
 Replaces: linux-libc-dev (<< 3.18-1~exp1)
 Breaks: linux-libc-dev (<< 3.18-1~exp1)
