=== debian/changelog ===
aufs (4.19+20190211-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update to Debian policy 4.3.0, no changes needed.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Mon, 25 Feb 2019 17:22:56 +0100
