=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jan Luca Naumann <j.naumann@fu-berlin.de>
 Build-Depends: debhelper (>=11), dkms, linux-kbuild-4.19
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: http://aufs.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/janluca-guest/aufs-debian
 Vcs-Git: https://salsa.debian.org/janluca-guest/aufs-debian.git
