## aufs 5.2+20190909

=== debian/changelog ===
aufs (5.2+20190909-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Oct 2019 13:34:27 -0400

aufs (5.2+20190909-1) unstable; urgency=medium

  * New upstream release.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Sat, 28 Sep 2019 18:17:20 +0200

aufs (5.2+20190902-1) unstable; urgency=medium

  * New upstream release. (Closes: #935403, #938961)
  * debian/compat:
    - Update to debhelper compat level 12.
  * debian/control:
    - Update to Debian policy 4.4.0, no changes needed.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Thu, 05 Sep 2019 14:12:11 +0200
