=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: kernel
 Priority: optional
 Maintainer: Jan Luca Naumann <j.naumann@fu-berlin.de>
-Build-Depends: debhelper (>=11), dkms, linux-kbuild-4.19
-Standards-Version: 4.3.0
+Build-Depends: debhelper (>=12), dkms, linux-kbuild-5.2
+Standards-Version: 4.4.0
 Homepage: http://aufs.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/janluca-guest/aufs-debian
 Vcs-Git: https://salsa.debian.org/janluca-guest/aufs-debian.git
